Bug 785555 - [ovirt][engine][webadmin][RFE] - domain selection list in login screen should be sorted alphabetically
[ovirt][engine][webadmin][RFE] - domain selection list in login screen should...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Greg Sheremeta
ux
: EasyFix, FutureFeature, Reopened
: 913577 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-29 09:40 EST by yeylon@redhat.com
Modified: 2016-04-18 02:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:51:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18727 None None None Never

  None (edit)
Description yeylon@redhat.com 2012-01-29 09:40:25 EST
Description of problem:

ATM the order of the domains in the list appears in the order the user added them using manage domains tool.

it should be sorted alphabetically (with an exception that the internal is last in the list) 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2012-12-18 19:41:14 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 2 Yaniv Kaul 2012-12-19 01:40:28 EST
Easyfix, good idea, please re-consider.
Comment 3 Itamar Heim 2013-08-18 02:34:24 EDT
behavior should be:
1. list is sorted, but internal is always last.
2. default selection should be preserved with a cookie on the last choice.

einav - isn't this already like this?
Comment 4 Einav Cohen 2013-08-19 09:36:51 EDT
(In reply to Itamar Heim from comment #3)
> behavior should be:
> 1. list is sorted, but internal is always last.
> 2. default selection should be preserved with a cookie on the last choice.
> 
> einav - isn't this already like this?

no idea.
need to verify the above behavior for both web-admin and user-portal login pages, and fix if incorrect.
Comment 5 Greg Sheremeta 2013-09-04 14:21:59 EDT
behavior is now:
1. list is sorted, but internal is always last.
2. default selection is set the last choice made (on the last successful login), or if no previous login, just the top item.
Comment 6 Sandro Bonazzola 2013-11-25 06:51:16 EST
oVirt 3.3.1 has been released
Comment 7 Oved Ourfali 2013-12-02 04:49:05 EST
*** Bug 913577 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.